
@comment{Books----------------------------------------------------------------}

@book{GeyerBook,
	author = {Tobias Geyer},
	title = {Model Predictive Control of High Power Converters and Industrial Drives},
	publisher = {John Wiley \& Sons},
	year = {2017},
	ISBN = {978-1-119-01086-9},
}

@book{RodriguezBook,
	title={Predictive Control of Power Converters and Electrical Drives},
	author={Jose Rodriguez and Patricio Cortes},
	isbn={978-1-119-96398-1},
	year={2012},
	publisher={Wiley-IEEE Press }
}

@book{CorradiniBook,
	author = {Luca Corradini and Dragan Maksimović and Paolo Mattavelli and Regan Zane},
	year = {2015},
	title = {Digital Control of High-Frequency Switched-Mode Power Converters},
	publisher = {Wiley-IEEE Press},
	ISBN = {978-1-118-93510-1},
}

@book{LinderBook,
	author = {Linder, A and Kanchan, Rahul and Kennel, Ralph and Stolze, Peter},
	year = {2012},
	month = {01},
	pages = {},
	title = {Model-Based Predictive Control of Electric Drives},
	\publisher = {Cuvillier Verlag},
	ISBN = {978-3869553986}
}


@comment{Papers-------------------------------------------------------------}
@article{MoehleWaveformsForBLDC,
	author = {N. {Moehle} and S. {Boyd}},
	title = {Optimal current waveforms for brushless permanent magnet motors},
	journal = {International Journal of Control},
	volume = {88},
	number = {7},
	pages = {1389-1399},
	year  = {2015},
	publisher = {Taylor & Francis},
	doi = {10.1080/00207179.2015.1012558},
	URL = {https://doi.org/10.1080/00207179.2015.1012558},
	eprint = {https://doi.org/10.1080/00207179.2015.1012558}
}

@INPROCEEDINGS{BeldaLinearModel,
  author={K. {Belda}},
  booktitle={2012 17th International Conference on Methods   Models in Automation   Robotics (MMAR)},
  title={Study of predictive control for Permanent Magnet Synchronous Motor drives},
  year={2012},
  pages={522-527},
  doi={10.1109/MMAR.2012.6347831}
}

@inproceedings{CiminiMPCOnlinePMSM,
	author = {G. {Cimini} and D. {Bernardini} and A. {Bemporad} and S. {Levijoki}},
	booktitle = {2015 IEEE International Conference on Industrial Technology (ICIT)},
	title = {Online model predictive torque control for Permanent Magnet Synchronous Motors},
	year = {2015},
	volume = {},
	number = {},
	pages = {2308-2313},
	keywords = {machine control;motion control;optimal control;optimisation;permanent magnet motors;predictive control;synchronous motors;torque control;permanent magnet synchronous motor;PMSM;direct transistor actuation;online model predictive direct torque control;MP-DTC approach;MPC formulation;optimal control law;multiparametric optimization;processor-in-the-loop experiment;PIL experiment;digital signal processor;DSP;motion control;Torque;Mathematical model;Predictive models;Digital signal processing;Optimization;Torque control;Standards},
	doi = {10.1109/ICIT.2015.7125438},
	ISSN = {},
	month = {March},
}

@comment{Theses-------------------------------------------------------------}
@thesis{LCThesis,
	author = {Lukáš Černý},
	title = {Algorithms for Advanced Motion Control Using Permanent Magnet Synchronous Motors and Brushless DC Motors},
	type = {Master's Thesis},
	institution = {Faculty of Electrical Engineering, Czech Technical University in Prague},
	year = {2020},
	month = {August}
}


@comment{Technical Reports----------------------------------------------------}
@report{NXPPMSMMEasurements,
	author = {Viktor Bobek},
	title = {PMSM Electrical Parameters Measurement},
	type = {Application Note, Document Number: AN4680, Rev. 0},
	institution = {Freescale Semiconductor},
	year = {2013},
	month = {02},
	url = {https://www.nxp.com/docs/en/application-note/AN4680.pdf},
}

@report{NXPPMSMControl,
	title = {Sensorless PMSM Field-Oriented Control},
	type = {Design Reference Manual, Document Number: DRM148, Rev. 1},
	institution = {Freescale Semiconductor},
	year = {2016},
	month = {02},
	url = {https://www.nxp.com/doc/DRM148},
}


@report{SchultzMotorola,
	author = {Warren Schultz},
	type = {Application Manual},
	institution = {Motorola Semiconductor Products},
	year = {1987},
	month = {06},
	title = {Drive Techniques for High Side N-Channel MOSFETs},
	@pages = {34-40},
	@booktitle = {Power Conversion and Intelligen tMotion},
}






@comment{Datasheets and Online Materials----------------------------------------------------}
@manual{MotorDatasheet,
	author = {Anaheim Automation},
	title = {BLWR23 Series - Brushless DC Motors},
	type = {Product Sheet},
	url = {https://www.anaheimautomation.com/manuals/brushless/L010231%20-%20BLWR23%20Series%20Product%20Sheet.pdf},
	urldate = {2020-08-05},
}
